Melon VPN
=========

Client for MrMelon's VPN server.

## Usage

Use these commands to setup the daemon. They will probably have to be run as root or using sudo.

```bash
systemctl enable melonvpndaemon
systemctl start melonvpndaemon
```

To use the CLI run `melonvpn --help` to see a list of command line arguments.

To use the GUI run `melonvpn --gui` or use desktop file installed in the `melonvpngui` package

## Downloads

- Debian: Available from https://apt.onpointcoding.net/repo
- Windows: in development
- MacOS: Maybe the linux source code works on Mac but I don't have a Mac to test it?

## Debian packages

- melonvpn: contains the cli and daemon
  - simple-vpn: the vpn client used internally by the daemon
- melonvpngui: contains the gui extension library
  - melonvpn: the gui requires the main package to function
  - libappindicator3-1: used by the gui to display an app indicator

